## EomSidebar EomSidebar |

## Functions

GtkWidget * | eom_sidebar_new ()
void | eom_sidebar_add_page ()
void | eom_sidebar_remove_page ()
void | eom_sidebar_set_page ()
gint | eom_sidebar_get_n_pages ()
gboolean | eom_sidebar_is_empty ()

## Properties

GtkWidget * | current-page | Read / Write

## Signals

void | page-added | Run First
void | page-removed | Run First

## Types and Values

struct | EomSidebar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── EomSidebar

## Implemented Interfaces

EomSidebar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### eom_sidebar_new ()

    GtkWidget *
    eom_sidebar_new (void);

### eom_sidebar_add_page ()

    void
    eom_sidebar_add_page (EomSidebar *eom_sidebar,
                          const gchar *title,
                          GtkWidget *main_widget);

### eom_sidebar_remove_page ()

    void
    eom_sidebar_remove_page (EomSidebar *eom_sidebar,
                             GtkWidget *main_widget);

### eom_sidebar_set_page ()

    void
    eom_sidebar_set_page (EomSidebar *eom_sidebar,
                          GtkWidget *main_widget);

### eom_sidebar_get_n_pages ()

    gint
    eom_sidebar_get_n_pages (EomSidebar *eom_sidebar);

### eom_sidebar_is_empty ()

    gboolean
    eom_sidebar_is_empty (EomSidebar *eom_sidebar);

## Types and Values

### struct EomSidebar

    struct EomSidebar;

## Property Details

### The `“current-page”` property

      “current-page”             GtkWidget *

The currently visible page.

Owner: EomSidebar

Flags: Read / Write

## Signal Details

### The `“page-added”` signal

    void
    user_function (EomSidebar *eomsidebar,
                   GtkWidget  *widget,
                   gpointer    user_data)

Flags: Run First

### The `“page-removed”` signal

    void
    user_function (EomSidebar *eomsidebar,
                   GtkWidget  *widget,
                   gpointer    user_data)

Flags: Run First